import { SortParams } from '~/pages/event/types/EventSorting';
import { UnitSearch } from './unit-search.state';

export class LoadUnits {
    static readonly type = '[Unit search] Search Units';

    constructor() {
    }
}
export class SetUnitSortParams {
    static readonly type = '[Unit search] Set Unit Sort params';
    constructor(public payload: SortParams = null) {
    }
}
export class SetUnitSearchParams {
    static readonly type = '[Unit search] Set Unit Search params';
    constructor(public payload: UnitSearch = null) {
    }
}


